javax.websocket

## Class CloseReason

- java.lang.Object
- - javax.websocket.CloseReason

-     public class CloseReason
      extends Object

  A class encapsulating the reason why a web socket has been closed, or why it is being asked to close. Note the acceptable uses of codes and reason phrase are defined in more detail by RFC 6455.
  Author:
    dannycoward

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CloseReason.CloseCode` A marker interface for the close codes.
    `static class` | `CloseReason.CloseCodes` An Enumeration of status codes for a web socket close that are defined in the specification.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloseReason(CloseReason.CloseCode closeCode, String reasonPhrase)` Creates a reason for closing a web socket connection with the given code and reason phrase.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloseReason.CloseCode` | `getCloseCode()` The Close code associated with this CloseReason.
    `String` | `getReasonPhrase()` The reason phrase associated with this CloseReason.
    `String` | `toString()` Converts the CloseReason to a debug-friendly string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CloseReason

          public CloseReason(CloseReason.CloseCode closeCode,
                     String reasonPhrase)

      Creates a reason for closing a web socket connection with the given code and reason phrase.
      Parameters:
        `closeCode` - the close code, may not be `null`
        `reasonPhrase` - the reason phrase, may be `null`.

  - ### Method Detail

    - #### getCloseCode

          public CloseReason.CloseCode getCloseCode()

      The Close code associated with this CloseReason.
      Returns:
        the close code.

    - #### getReasonPhrase

          public String getReasonPhrase()

      The reason phrase associated with this CloseReason.
      Returns:
        the reason phrase. If there is no reason phrase, this returns the empty string

    - #### toString

          public String toString()

      Converts the CloseReason to a debug-friendly string. The exact format is not defined by the specification and may change in future releases.
      Overrides:
        `toString` in class `Object`
      Returns:
        A String representation of this CloseReason

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.